Full name: projects.locations.instances.tasks.create
Creates a new Task. Use this method to assign a specific task to a user, optionally associating it with a case. Validates that the due time (if provided) is in the future.
HTTP request
POST https://{endpoint}/v1beta/{parent}/tasks
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this Task will be created. Format: projects/{project}/locations/{location}/instances/{instance} |
Request body
The request body contains an instance of Task.
Response body
If successful, the response body contains a newly created instance of Task.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.tasks.update
For more information, see the IAM documentation.